machine:
    xcode:
        version: 8.2

checkout:
    pre:
        - system_profiler SPSoftwareDataType

dependencies:
    cache_directories:
        - ~/.composer
        - ~/Library/Caches/Homebrew
    pre:
        - brew update
        - brew tap homebrew/homebrew-php
        - brew install php71
        - curl -sS https://getcomposer.org/installer | php
        - php composer.phar global show hirak/prestissimo -q || php composer.phar global require --no-interaction --no-progress --optimize-autoloader hirak/prestissimo
    override:
        - php composer.phar install --no-interaction --no-progress

test:
    override:
        - vendor/bin/phpunit
        - PHP_CS_FIXER_FUTURE_MODE=1 php php-cs-fixer --diff --dry-run -v fix
